export declare function guardTSVersion(): void;
/**
 * Determines whether or not to use `--build` mode based on "references" being there in the config file
 * @param tsconfigFileName The tsconfig file to parse
 */
export declare function determineBuildModeEnabled(tsconfigFileName: string): boolean;
/**
 * Overrides some options to speed up compilation and disable some code quality checks we don't want during mutation testing
 * @param parsedConfig The parsed config file
 * @param useBuildMode whether or not `--build` mode is used
 */
export declare function overrideOptions(parsedConfig: {
    config?: any;
}, useBuildMode: boolean): string;
/**
 * Retrieves the referenced config files based on parsed configuration
 * @param parsedConfig The parsed config file
 */
export declare function retrieveReferencedProjects(parsedConfig: {
    config?: any;
}): string[];
//# sourceMappingURL=tsconfig-helpers.d.ts.map